"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("../config");
exports.onPreResponse = (request, h) => {
    if (config_1.config.get("strategies.customHeader.enabled")) {
        const headerName = config_1.config.get("strategies.customHeader.parameter");
        const response = request.response;
        if (response.isBoom) {
            response.output.headers[headerName] = request.pre.version;
        }
        else {
            response.header(headerName, request.pre.version);
        }
    }
    return h.continue;
};
//# sourceMappingURL=pre-response.js.map